Package org.kapott.cryptalgs

# Class SignatureParamSpec

java.lang.Object
org.kapott.cryptalgs.SignatureParamSpec

All Implemented Interfaces:
  `AlgorithmParameterSpec`

public final class SignatureParamSpec extends Object implements AlgorithmParameterSpec

## Constructor Summary

Constructors
Constructor
Description
`SignatureParamSpec(String hashAlg, String provider)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHashAlg()`
`String`
`getProvider()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SignatureParamSpec

public SignatureParamSpec(String hashAlg, String provider)

## Method Details

### getHashAlg

public String getHashAlg()

### getProvider

public String getProvider()

### toString

public String toString()

Overrides:
  `toString` in class `Object`